html {
  background-color: #000;
  white-space: nowrap; }

body {
  margin: 0;
  font-family: "Inconsolata", monospace;
  font-size: 19px; }

header {
  display: flex;
  align-items: center;
  background-color: #de2a2e;
  box-sizing: border-box;
  justify-content: space-between;
  padding: 0 30px;
  position: fixed;
  top: 0;
  height: 70px;
  width: 100%;
  z-index: 2; }
  header h1 {
    display: inline-block;
    margin: 15px 0;
    color: #fece30; }

.header__title {
  text-align: center;
  width: 90%; }

a {
  color: #fff;
  text-decoration: none; }

.list {
  background-color: #000;
  margin: 70px 0 75px 0;
  padding: 0; }
  .list.no-margin {
    margin-bottom: 0; }

.list__item {
  list-style: none;
  border-bottom: 1px solid black;
  height: 55px;
  overflow: hidden; }
  .list__item a,
  .list__item p {
    line-height: 59px;
    margin: 0;
    vertical-align: top; }
  .list__item p {
    display: inline-block;
    font-family: Consolas, monaco, monospace; }
  .list__item p:last-child {
    cursor: default;
    position: absolute;
    right: 30px; }
  .list__item:hover {
    background-color: rgba(43, 67, 100, 0.2); }

.list__item__link {
  cursor: pointer;
  display: inline-block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  width: 100%;
  padding: 0 95px 0 30px;
  box-sizing: border-box; }
  .list__item__link:hover, .list__item__link:focus {
    text-decoration: underline; }

.list__item__duration {
  color: #fff;
  line-height: 59px;
  position: absolute;
  right: 30px; }

.player {
  background-color: white;
  border-top: 1px solid black;
  position: fixed;
  bottom: 0;
  height: 75px;
  width: 100%; }

.button {
  border: none;
  padding: 0;
  position: relative; }
  .button:not(.button__back) {
    cursor: default;
    transform: translateY(6px);
    height: 54px;
    width: 40px;
    margin: 4px; }
  .button:active, .button:focus {
    outline: none; }

.button__wrap {
  display: inline-block;
  float: left;
  height: 100%; }
  .button__wrap button {
    cursor: pointer; }

.hidden {
  display: none; }

.button__back {
  background-color: transparent;
  border: none;
  color: #1ea8e0;
  cursor: pointer;
  font-size: 2em;
  line-height: 33px; }
  .button__back:hover {
    border-bottom: 2px solid #1ea8e0;
    transform: translateY(1px); }

.button__prev {
  background: url("../img/controls.svg") -15px 0px;
  background-size: cover;
  display: none; }
  @media all and (min-width: 425px) {
    .button__prev {
      display: inline-block; } }

.button__play {
  background: url("../img/controls.svg") -127px 0px;
  background-size: cover; }

.button__play.playing {
  background: url("../img/controls.svg") -75px 0px;
  background-size: cover; }

.button__next {
  background: url("../img/controls.svg") -185px 0px;
  background-size: cover; }

.modal {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4); }

.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  text-align: center;
  width: 80%;
  max-width: 560px;
  white-space: normal; }
  .modal-content a {
    color: black;
    text-decoration: underline; }

#modal-1-btn {
  background-color: transparent;
  border: none;
  color: white;
  cursor: pointer;
  outline: none;
  padding: 0; }
  #modal-1-btn:hover {
    border-bottom: 2px solid #1ea8e0;
    transform: translateY(1px); }
  #modal-1-btn:focus {
    outline: none; }

.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold; }

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer; }

.player__duration {
  display: none; }
  @media all and (min-width: 425px) {
    .player__duration {
      display: inline; } }

.player__bar {
  background-color: #000;
  border-radius: 3px;
  bottom: 20px;
  position: absolute;
  width: 100%; }

.player__progress {
  background-color: #d6d6d6;
  border-radius: 3px 0 0 3px;
  height: 10px;
  width: 0; }

.player__data {
  overflow: hidden;
  display: inline-block;
  margin-left: 8px;
  height: 100%;
  position: relative;
  width: calc(100% - 120px); }
  @media all and (min-width: 425px) {
    .player__data {
      width: calc(100% - 170px); } }

.player__data__setting {
  display: inline-block;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 100%; }
  @media all and (min-width: 425px) {
    .player__data__setting {
      width: calc(100% - 115px); } }

.player__data__time {
  display: none;
  position: absolute;
  right: 17px;
  bottom: 36px; }
  @media all and (min-width: 425px) {
    .player__data__time {
      display: inline-block; } }

.player__date {
  display: none;
  position: relative;
  top: -4px; }
  @media all and (min-width: 425px) {
    .player__date {
      display: inline; } }

.player__venue {
  display: none;
  position: relative;
  top: -4px; }
  @media all and (min-width: 425px) {
    .player__venue {
      display: inline; } }

.player__title {
  display: inline-block;
  font-size: 1.5rem;
  margin-top: 15px;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 100%; }
  @media all and (min-width: 425px) {
    .player__title {
      width: auto; } }

.player__title span {
  font-family: Consolas, monaco, monospace;
  margin-left: 18px; }

/*# sourceMappingURL=data:application/json;base64,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 */